// height field test file                           5/16/95  4:31 am

// You can use this file as a starting point to test new POV landscapes 
// generated by the "gforge" program (or anything else).

// Output from "gforge" generator module used for height field:
// "gforge -mesh 512 -pow 1.3 -dim 2.15" will generate an output.tga
// similar to that used to generate the sample landscap.jpg image.

// Have fun...!                John Beale <beale@jump.stanford.edu>

#include "colors.inc"
#include "shapes.inc"
#include "stones.inc"


camera {
	location        <.501, -.3, -1.7>
	direction       <0, 0, 2>
	up              <0, 1, 0>
	right           <4/3, 0, 0 >
	look_at         <.499, .5, 0>
}

object { light_source { <.8, 1, -.3>  color red .6 green .6 blue .3  
  area_light <0.2, 0, 0> <0,0,-0.3> 2, 7
  adaptive 1
  jitter
  } 
}

object { light_source { <-.2, .15, -.2> color red .3 green .15 blue .05
    area_light <.2, -.2, 0> <0, 0, 0.5> 2, 7
    adaptive 1
    jitter
   }
}

object {
	 height_field {tga "output.tga" water_level .01 }
	 scale < 1, 0.2, 1 >      // reduce height to something reasonable     
	 rotate < -90, 0, 0 >     // flip up surface from xz plane to xy plane
	 translate < 0, 0, 0 >
	 texture { pigment { color White }
		   finish {
			   diffuse 1
			   ambient .1
			   specular .1
			   crand 0.05
			  }
		 }
       }











